summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ulrich Schaefer2015-06-16 15:41:46 +0200
committer Willy Sudiarto Raharjo2015-06-16 15:41:46 +0200
commita090365163ebb84d829e46fd3dfcf58f1d6e6d9e (patch)
tree0c42fc5ed222820396b1eb2248224affe24250f0
parent13959e7487f0c79727ab1674e0cd35e4beb98470 (diff)
downloadslackbuilds-a090365163ebb84d829e46fd3dfcf58f1d6e6d9e.tar.gz
libraries/uthash: Added (A hash table for C structures).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/uthash/README6
-rw-r--r--libraries/uthash/slack-desc19
-rw-r--r--libraries/uthash/uthash.SlackBuild85
-rw-r--r--libraries/uthash/uthash.info10
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/uthash/README b/libraries/uthash/README
new file mode 100644
index 0000000000..cf4d2dd4fe
--- /dev/null
+++ b/libraries/uthash/README
@@ -0,0 +1,6 @@
+uthash - A hash table for C structures
+
+Any C structure can be stored in a hash table using uthash. Just add a
+UT_hash_handle to the structure and choose one or more fields in your
+structure to act as the key. Then use these macros to store, retrieve
+or delete items from the hash table.
diff --git a/libraries/uthash/slack-desc b/libraries/uthash/slack-desc
new file mode 100644
index 0000000000..0c0804bc7a
--- /dev/null
+++ b/libraries/uthash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uthash: uthash (A hash table for C structures)
+uthash:
+uthash: Any C structure can be stored in a hash table using uthash. Just add
+uthash: UT_hash_handle to the structure and choose one or more fields in your
+uthash: structure to act as the key. Then use these macros to store, retrieve
+uthash: or delete items from the hash table.
+uthash:
+uthash: See https://troydhanson.github.io/uthash/
+uthash:
+uthash:
+uthash:
diff --git a/libraries/uthash/uthash.SlackBuild b/libraries/uthash/uthash.SlackBuild
new file mode 100644
index 0000000000..47dc4a8022
--- /dev/null
+++ b/libraries/uthash/uthash.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for uthash
+
+# Copyright 2015 Ulrich Schaefer Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=uthash
+VERSION=${VERSION:-1.9.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/include
+cp -a src/*.h $PKG/usr/include
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/uthash/uthash.info b/libraries/uthash/uthash.info
new file mode 100644
index 0000000000..ea9a45cc7c
--- /dev/null
+++ b/libraries/uthash/uthash.info
@@ -0,0 +1,10 @@
+PRGNAM="uthash"
+VERSION="1.9.9"
+HOMEPAGE="https://troydhanson.github.io/uthash/"
+DOWNLOAD="https://github.com/troydhanson/uthash/archive/v1.9.9.tar.gz"
+MD5SUM="c3ce9197c818dcb7ca85b59912f310a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ulrich Schaefer"
+EMAIL="us@ulischaefer.net"